<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
<HEAD>
<META NAME="generator" CONTENT="http://txt2tags.org">
<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf8">
<LINK REL="stylesheet" TYPE="text/css" HREF="../../style/style.css">
</HEAD><BODY BGCOLOR="white" TEXT="black">
<CENTER>
</CENTER>


<H1>Pesquisando no Google sem escrever</H1>

<P>
<B><I>Colaboração: Paulo Roberto Bagatini</I></B>
</P>
<P>
<B><I>Data de Publicação: 08 de março de 2013</I></B>
</P>
<P>
Quando era piá (sim, eu sou do Sul :-p), meu irmão, minha mãe e eu
montamos <A HREF="http://goo.gl/t9Hmm" TARGET="_blank">um quebra-cabeças</A> de 3.000 peças.
</P>
<P>
Começamos apostando quem iria colocar a última peça. A diversão
durou 6 meses, ele ficou um bom tempo encalhado; até eu descobrir
que o corte de quebra-cabeças com grande número de peças é repetido
em 4 quadrantes. Feito. Dias depois admirávamos a obra completa.
</P>
<P>
Mas não é o corte repetido em quadrantes, a dica (a menos, claro,
que você ainda não saiba disso ;-)
</P>
<P>
Acontece que nunca descobrimos o nome da obra original, muito menos
do artista que a pintou. A caixa do jogo não dizia nada, incrível!
Mostrou-se uma informação praticamente impossível de se obter, na
pré-história tecnológica em que cresci.
</P>
<P>
&lt;gap de 20 anos&gt;
</P>
<P>
2009: a <A HREF="http://www.martha.com.br" TARGET="_blank">Martha Gabriel</A> publica
<A HREF="http://www.dicas-l.com.br/segredosdogoogle/segredosdogoogle_20090519.php" TARGET="_blank">um artigo</A>
na Dicas-L falando de um serviço revolucionário do Google,
principalmente sendo gratuito: o
<A HREF="http://www.googleblog.blogspot.com/2009/10/similar-images-graduates-from-google.html" TARGET="_blank">Google Similar Images</A>.
Pronto. <A HREF="http://goo.gl/VvIqF" TARGET="_blank">Meus problemas acabaram</A>!
</P>
<P>
Hoje, o <B>Similar Images</B> tornou-se simplesmente
<A HREF="http://images.google.com" TARGET="_blank">Images</A>, faz parte do leque padrão de
serviços do Google e tem direito até a
<A HREF="http://developers.google.com/custom-search/v1/overview" TARGET="_blank">API</A>.
</P>
<P>
A pesquisa no Google Images pode ser feita <B>interativamente</B>:
</P>

<OL>
<LI>copiando o endereço da imagem: <A HREF="http://goo.gl/t9Hmm" TARGET="_blank">http://goo.gl/t9Hmm</A>
<LI>acessando a página do Images: <A HREF="http://images.google.com" TARGET="_blank">http://images.google.com</A>
<LI>clicando no ícone de máquina fotográfica presente no campo de pesquisa
<LI>colando no campo de pesquisa o endereço da imagem
<LI>pressionando [Enter]
</OL>

<P>
ou <B>não-interativamente</B>:
</P>

<OL>
<LI>acessando direto a página que mostra o resultado, com a URL da
  imagem como parâmetro:
  <A HREF="http://images.google.com/searchbyimage?image_url=goo.gl/t9Hmm" TARGET="_blank">http://images.google.com/searchbyimage?image_url=goo.gl/t9Hmm</A>
</OL>

<P>
No campo onde colocamos a URL da imagem a ser pesquisada é possível
optar por fazer upload da imagem. Muito prático. Certamente deve haver
um limite de tamanho para o arquivo da imagem nessa opção, nunca tentei
esbarrar nele.
</P>
<P>
Além de encontrar informações sobre uma imagem que estamos vendo mas
não sabemos descrever, podemos usar o recurso para encontrar versões
maiores dessa imagem, imagens parecidas com ela, usar rascunhos
desenhados à mão como ponto de partida, ou outra utilidade que nossa
criatividade trouxer a tona (api,
<A HREF="http://developers.google.com/custom-search/v1/overview" TARGET="_blank">API</A>!).
Não me espantaria se os pais desse serviço não vislumbrassem todo o
potencial do que criaram.
</P>
<P>
E, como não poderia deixar de ser, há extensões para o
<A HREF="http://google.com/search?q=google+image+search+firefox+extension" TARGET="_blank">Firefox</A>
e para o
<A HREF="http://google.com/search?q=google+image+search+chrome+extension" TARGET="_blank">Chrome</A>
que automatizam esse processo a partir de qualquer imagem mostrada no
navegador. O próprio Google tem suas versões:
</P>

<UL>
<LI><A HREF="http://addons.mozilla.org/firefox/addon/search-by-image-by-google" TARGET="_blank">http://addons.mozilla.org/firefox/addon/search-by-image-by-google</A>
<LI><A HREF="http://chrome.google.com/webstore/detail/dajedkncpodkggklbegccjpmnglmnflm" TARGET="_blank">http://chrome.google.com/webstore/detail/dajedkncpodkggklbegccjpmnglmnflm</A>
</UL>

<P>
Então, se ainda não brincaram com esse serviço, experimentem. Pode
mudar suas vidas!
</P>
<P>
Ah, e quem ganhou a aposta? Eu \o/ Escondi uma peça aleatória logo no
início da brincadeira. Por sorte não a perdi, em todos os meses que
precisei esperar para utilizá-la :-p
</P>

<!-- html code generated by txt2tags 2.6 (http://txt2tags.org) -->
<!-- cmdline: txt2tags -t html -\-encoding=utf8 -\-style=../style/style.css dica.t2t -->
</BODY></HTML>
